Adobe Connect Training Materials

Before You Begin:

The following are the system requirements needed to fully participate in an Adobe Connect meeting

  •  A computer
  •  Web camera
  •  High-speed, hard-wired internet connection
  •  Landline telephone

Adobe Connect supports many operating systems, including Windows, Macintosh, Linux and Solaris. It also supports many web browsers including, Internet Explorer, Firefox, Safari and Chrome.

You will need to have Adobe Flash Player version 11.2 or higher installed on the computer you will be using. You can test your equipment by following the steps below:

  1. Click here to perform a “Connection Test”
  2. The test will notify you if you need to install Adobe Flash, or the Adobe “add-in” module. If it asks you to install these, you will need to do so before you can join the meeting.

After performing the test, we recommend that you click here to view the Participant Access Guide and view the Participant Access Training Video below.

 
 
 

Participant Access Training Video